/*
 Controlling a servo position using a potentiometer (variable resistor)
 by Michal Rinott <http://people.interaction-ivrea.it/m.rinott>

 modified on 8 Nov 2013
 by Scott Fitzgerald
 http://www.arduino.cc/en/Tutorial/Knob

 modified by Zack Budzichowski 21 Mar 2023 for Fab Academy
*/

#include <Servo.h>

Servo myservo1;
Servo myservo2;

int potpin = 28;  // analog pin used to connect the potentiometer
int val;    // variable to read the value from the analog pin
int val2;    // variable to relate servo 2 to servo 1


void setup() {
  myservo1.attach(3);    //setup servo1 to pin 3
  myservo2.attach(0);    //setup servo2 to pin 0
  pinMode(6, OUTPUT);   // set LED to pin 6
  myservo1.write(0);
  myservo2.write(0);    
}

void loop() {
  digitalWrite(6, HIGH);
  val = analogRead(potpin);            // reads the value of the potentiometer (value between 0 and 1023)
  val = map(val, 0, 1023, 0, 180);     // scale it to use it with the servo (value between 0 and 180)
  val2 = val/2;                       // scale servo 2 out put to half servo 1
  myservo1.write(val);                // sets the servo position according to the scaled value
  myservo2.write(val2);               // sets the servo position according to the scaled value
  delay(15);  
  digitalWrite(6, LOW);    
}
